Get model input
curl --request GET \
--url https://api.runflow.io/v1/models/{model_id}/inputs/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"variable_type_code": "<string>",
"default_behavior_code": "<string>",
"validator_code": "<string>",
"validator_attrs": {},
"is_required": true,
"default_value": {},
"sort_order": 123,
"is_featured": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Models
Get model input
Retrieve a single model input by ID. Use ‘any’ as model_id to skip parent validation.
GET
/
v1
/
models
/
{model_id}
/
inputs
/
{id}
Get model input
curl --request GET \
--url https://api.runflow.io/v1/models/{model_id}/inputs/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"variable_type_code": "<string>",
"default_behavior_code": "<string>",
"validator_code": "<string>",
"validator_attrs": {},
"is_required": true,
"default_value": {},
"sort_order": 123,
"is_featured": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Model ID. Use 'any' to search across all parents.
Response
The requested model input.
Response shape.
⌘I